pmltrans(1)

NAME
pmltrans - transform a PhotoML XML file into an HTML description

SYNOPSIS
pmltrans [-h] [-f] [-s size] (([-e] [-m]) | [-d [-x]]) [xmlfile]

DESCRIPTION
pmltrans is a shell script that calls xsltproc to transform a PhotoML XML file into an HTML representation. The HTML output is written to stdout.

OPTIONS
pmltrans accepts the following options:

-h  Display usage information.

-f  Omit the validity test prior to applying the XSL.

-s size
    Set the primary font size in points.

-e  Include a column providing exposure details when these are present in the PhotoML data.

-m  Include location map when coordinates are specified in the PhotoML data.

-d  Generate detailed output rather than the default summary output.

-x  Expand defaults before applying the XSL. If the summary output is used, defaults are expanded even when this option is not selected.

AUTHOR
Brendt Wohlberg <photoml@wohlberg.net>

COPYRIGHT
Copyright © 2003-2010 Brendt Wohlberg <photoml@wohlberg.net>

This program is free software; you can redistribute it and/or modify it under the terms of version 2 of the GNU General Public License <http://www.gnu.org/licenses/gpl-2.0.txt>.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO
xsltproc(1)